Bug 186888 - games/armagetron: incomplete plist (orphans)
Summary: games/armagetron: incomplete plist (orphans)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-19 09:20 UTC by Dmitry Marakasov
Modified: 2014-08-12 11:14 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-02-19 09:20:00 UTC
From poudriere:

---
===========================================================================
====>> Checking shared library dependencies
=======================<phase: deinstall      >============================
====>> Checking for orphaned files and directories in stage directory (missing from plist)
====>> Files or directories orphaned:
etc/games/armagetronad/settings_authentication.cfg
etc/games/armagetronad/subcultures.srv
etc/games/armagetronad/examples/teamsumo.cfg
share/games/armagetronad/language/polish.txt
share/games/armagetronad/language/polish_transliterated.txt
---

These are missing from the plist after the last update.

Port maintainer (ianthetechie@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.11 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-19 09:20:07 UTC
Maintainer of games/armagetron,

Please note that PR ports/186888 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186888

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-19 09:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-07-11 23:47:17 UTC
Ian, can you provide a fix?
Comment 4 John Marino freebsd_committer 2014-08-11 10:29:33 UTC
I'm disappointed that Ian didn't try to address this.  Since I was involved in bug 184800, I will take a look at this.
Comment 5 John Marino freebsd_committer 2014-08-11 12:05:22 UTC
removing "[patch]" from title.  There was never any patch (I checked gnats)
Comment 6 commit-hook freebsd_committer 2014-08-12 11:13:12 UTC
A commit references this bug:

Author: marino
Date: Tue Aug 12 11:12:47 UTC 2014
New revision: 364692
URL: http://svnweb.freebsd.org/changeset/ports/364692

Log:
  games/armagetron: Fix plist errors from check-plist

  PR:		186888
  Reported by:	amdmi3
  Fixed by:	marino
  approved by:	maintainer timeout (6 months)

Changes:
  head/games/armagetron/Makefile
  head/games/armagetron/pkg-plist
Comment 7 John Marino freebsd_committer 2014-08-12 11:14:10 UTC
done